AHAB_SPLIT_CONTAINER(1)

NAME
ahab_split_container - split NXP-signed AHAB container into ELE and V2X containers for OEM double signing

SYNOPSIS
ahab_split_container [-h] [-v] input_file

NOTE
This manpage is a short description of NXP ahab_split_container. For a detailed discussion refer to the Code Signing Tool User Guide UG10106, section 5.4. The user guide can be obtained from www.nxp.com and is excluded from Debian for copyright reasons.

DESCRIPTION
ahab_split_container is a tool to split the NXP-signed AHAB container given as input_file into ELE and V2X containers to enable the OEM double signing feature. ELE and V2X containers are saved with suffix .ele and .v2xfh respectively in the current working directory.

OPTIONS

-h  Display a help message.

-v  Display version information.

EXAMPLES
To split an AHAB container into ELE and V2X containers and save them as ahab-container.img.ele and mx95a0-ahab-container.img.v2xfh

  ahab_split_container ahab-container.img